GWT on Ubuntu x64

I have installed new Ubuntu 9.10 (karmic) x64 and found that GWT browser is not working – it shows:

libswt-pi-gtk-3235.so: wrong ELF class: ELFCLASS32 (Possible cause: architecture word width mismatch)

This problem can be solved by switching on Java SE x32, but after that another problem was occurred:

libstdc++.so.5 cannot open shared object file no such file or directory

In previous build of Ubuntu it can be solved by simple install of libstdc++, but Ubuntu karmic does not contains it.
So you may use the following recommendation of Dale Jefferson:

If your running 64Bit Karmic then you need the ia32-libs package, it contains alot more than libstdc++5 so I just extracted libstdc++.so.5.0.7 from the package and copied it to /usr/lib32/ and created a link to /usr/lib32/libstdc++.so.5

So just download libstdc++5 for jaunty x32, unpack it and copy libstdc++.so.5 into /usr/lib32.
Now GWT browser is working. 🙂